---
title: '-webkit-box-reflect'
slug: Web/CSS/-webkit-box-reflect
tags:
  - '-webkit-box-reflect'
  - CSS
  - CSS Property
  - 'CSS:WebKit Extensions'
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_Header}}</div>

<p>The <strong><code>-webkit-box-reflect</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property lets you reflect the content of an element in one specific direction.</p>

<pre class="brush:css no-line-numbers notranslate">/* Direction values */
-webkit-box-reflect: above;
-webkit-box-reflect: below;
-webkit-box-reflect: left;
-webkit-box-reflect: right;

/* Offset value */
-webkit-box-reflect: below 10px;

/* Mask value */
-webkit-box-reflect: below 0 linear-gradient(transparent, white);

/* Global values */
-webkit-box-reflect: inherit;
-webkit-box-reflect: initial;
-webkit-box-reflect: unset;
</pre>

<div class="warning"><strong>Note:</strong> This feature is <strong>not intended to be used by Web sites</strong>. To achieve reflection on the Web, the standard way is to use the CSS {{CSSxRef("element", "element()")}} function.</div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>above</code><em>, </em><code>below</code><em>, </em><code>right</code><em>, </em><code>left</code></dt>
 <dd>Are keywords indicating in which direction the reflection is to happen.</dd>
 <dt>{{CSSxRef("&lt;length&gt;")}}</dt>
 <dd>Indicates the size of the reflection.</dd>
 <dt>{{CSSxRef("&lt;image&gt;")}}</dt>
 <dd>Describes the mask to be applied to the reflection.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard. The standard way to do reflection in CSS is to use the CSS {{CSSxRef("element", "element()")}} function.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-box-reflect")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The Apple <a class="external" href="http://developer.apple.com/library/safari/documentation/appleapplications/reference/safaricssref/Articles/StandardCSSProperties.html#//apple_ref/doc/uid/TP30001266-SW16">documentation</a>.</li>
 <li>The Webkit <a href="https://www.webkit.org/blog/182/css-reflections/">specification</a>.</li>
 <li>Lea Verou's article on reflection using <a class="external" href="http://lea.verou.me/2011/06/css-reflections-for-firefox-with-moz-element-and-svg-masks/">CSS features on the standard track</a>.</li>
</ul>
